init offset = 1

init python:
    def _toggle_quick_menu_q():

        if renpy.has_screen('quick_menu'):
            if not hasattr(store, 'quick_menu'):
                setattr(store, 'quick_menu', True)
                renpy.show_screen('quick_menu')
                setattr(store, 'suppress_overlay', False)
            else:
                if quick_menu == True:
                    setattr(store, 'quick_menu', False)
                    renpy.hide_screen('quick_menu')
                else:
                    setattr(store, 'quick_menu', True)
                    renpy.show_screen('quick_menu')
                    setattr(store, 'suppress_overlay', False)

    config.keymap[ 'toggle_quick_menu_q' ] = [ 'K_q' ]
    config.underlay.append(renpy.Keymap(toggle_quick_menu_q = Function(_toggle_quick_menu_q)))


screen choice(items):
    style_prefix "choice"
    vbox:
        spacing 10
        yalign 0.6
        for n, i in enumerate(items, 1):
            if n < 10:
                key str(n) action i.action
                key "K_KP" + str(n) action i.action
                textbutton str(n) + ". " + i.caption action i.action

init:
    style choice_button:
        background None

    style choice_button_text:
        idle_color "#FFFFFF"
        hover_color "#FFFFFF"
        insensitive_color "#808080FF"
        idle_outlines [ (absolute(5), "#FFF0", absolute(1), absolute(1)), (absolute(2), "#000", absolute(1), absolute(1)) ]
        hover_outlines [ (absolute(5), "#0F08", absolute(1), absolute(1)), (absolute(2), "#000", absolute(1), absolute(1)) ]
        insensitive_outlines [ (absolute(5), "#808080C0", absolute(1), absolute(1)), (absolute(2), "#000", absolute(1), absolute(1)) ]

    style quick_button_text:
        properties gui.button_text_properties("quick_button")
        background None
        font "DejaVuSans.ttf"
        size int(config.screen_height / 60)
        idle_color "#8885"
        hover_color "#0F0F"
        insensitive_color "#4445"
        outlines [ (absolute(1), "#000A", absolute(1), absolute(1)) ]
        hover_outlines [ (absolute(1), "#000F", absolute(1), absolute(1)) ]

screen save():

    tag menu

    use file_slots(_("Save"))

    vbox:
        align(0.28, 0.185)
        text "{color=#fff}Save Name:{/color}"
        input:
            yalign 0.05
            value VariableInputValue("save_name")


screen gallery():

    default hscenes_page = 1
    default hscenes_page_max = max(int(len(hscenes) / 9) + (len(hscenes) % 9 > 0), 1)

    add "gui/main_menu.jpg"
    add "gui/overlay/confirm.png"
    text "Page [hscenes_page] of [hscenes_page_max]" xalign 0.5 yalign 0.02 color "#ff0066" size 80
    textbutton "Enter Code" action ShowMenu("codeinput") xalign 0.9 yalign 0.02 text_idle_color "#ff0066"
    hbox:
        xalign 0.1
        yalign 0.02
        if not persistent.galleryunlock:
            textbutton "Unlock all scenes" action SetVariable("persistent.galleryunlock", True) text_idle_color "#ff0066"
        elif persistent.galleryunlock:
            textbutton "Lock unwatched scenes" action SetVariable("persistent.galleryunlock", False) text_idle_color "#ff0066"


    tag menu

    grid 3 3:
        xalign 0.5 yalign 0.5

        xspacing 125
        yspacing 70

        for i in range(((hscenes_page-1)*9),(hscenes_page*9)):
            if i < len(hscenes):
                imagebutton:
                    action Replay(hscenes[i][0], scope={"name": persistent.mc_name or "Alex"}, locked=not (renpy.seen_label(hscenes[i][0]) or persistent.galleryunlock))

                    #auto "images/thumbnails/"+hscenes[i][1]+"_%s.jpg"
                    idle "images/thumbnails/"+hscenes[i][1]+"_idle.jpg"
                    hover Composite((534, 300), (0, 0), "images/thumbnails/"+hscenes[i][1]+"_idle.jpg", (0, 0), "images/thumbnails/thumbnail_hover.png")
                    insensitive "images/thumbnails/"+hscenes[i][1]+"_insensitive.jpg"
            else:
                null

    textbutton "Return" action Return() xalign 0.5 yalign 0.99 text_idle_color "#ff0066"
    textbutton "Next" action [SetLocalVariable("hscenes_page", If(hscenes_page<hscenes_page_max, hscenes_page+1, 1))] xalign 0.9 yalign 0.99 text_idle_color "#ff0066"
    textbutton "Previous" action [SetLocalVariable("hscenes_page", If(hscenes_page>1, hscenes_page-1, hscenes_page_max))] xalign 0.1 yalign 0.99 text_idle_color "#ff0066"


screen preferences():
    tag menu

    use game_menu(_(""), scroll="viewport"):

        vbox:

            hbox:
                box_wrap True

                if renpy.variant("pc") or renpy.variant("web"):

                    vbox:
                        style_prefix "radio"
                        label _("Display")
                        textbutton _("Window") action Preference("display", "window")
                        textbutton _("Fullscreen") action Preference("display", "fullscreen")

                vbox:
                    style_prefix "radio"
                    label _("Rollback Side")
                    textbutton _("Disable") action Preference("rollback side", "disable")
                    textbutton _("Left") action Preference("rollback side", "left")
                    textbutton _("Right") action Preference("rollback side", "right")

                vbox:
                    style_prefix "check"
                    label _("Skip")
                    textbutton _("Unseen Text") action Preference("skip", "toggle")
                    textbutton _("After Choices") action Preference("after choices", "toggle")
                    textbutton _("Transitions") action InvertSelected(Preference("transitions", "toggle"))


            null height (4 * gui.pref_spacing)

            hbox:
                style_prefix "slider"
                box_wrap True

                vbox:

                    label _("Text Speed")

                    bar value Preference("text speed")

                    label _("Auto-Forward Time")

                    bar value Preference("auto-forward time")

                    label _("Text Size: %s" % (persistent.pref_text_size))

                    bar value FieldValue(object=persistent, field='pref_text_size', range=(gui.text_size * 2), max_is_zero=False, style=u'slider', offset=0, step=1)

                vbox:

                    if config.has_music:
                        label _("Music Volume")

                        hbox:
                            bar value Preference("music volume")

                    if config.has_sound:

                        label _("Sound Volume")

                        hbox:
                            bar value Preference("sound volume")

                            if config.sample_sound:
                                textbutton _("Test") action Play("sound", config.sample_sound)


                    if config.has_voice:
                        label _("Voice Volume")

                        hbox:
                            bar value Preference("voice volume")

                            if config.sample_voice:
                                textbutton _("Test") action Play("voice", config.sample_voice)

                    if config.has_music or config.has_sound or config.has_voice:
                        null height gui.pref_spacing

                        textbutton _("Mute All"):
                            action Preference("all mute", "toggle")
                            style "mute_all_button"
